## atropos 1.1.21+dfsg

=== Makefile ===
tests = tests
module = atropos
#pytestops = "--full-trace"
#pytestops = "-v -s"
repo = jdidion/$(module)
desc = Release $(version)

BUILD = python setup.py build_ext -i && python setup.py install $(installargs)
TEST = py.test $(pytestops) $(tests)

all:
	$(BUILD)
	$(TEST)

install:
	$(BUILD)

test:
	$(TEST)

docs:
	make -C docs api
	make -C docs html

readme:
	pandoc --from=markdown --to=rst --output=README.rst README.md
	pandoc --from=markdown --to=rst --output=CHANGES.rst CHANGES.md

lint:
	pylint $(module)

clean:
	rm -Rf __pycache__
	rm -Rf **/__pycache__/*
	rm -Rf **/*.c
	rm -Rf **/*.so
	rm -Rf **/*.pyc
	rm -Rf dist
	rm -Rf build
	rm -Rf .adapters
	rm -Rf atropos.egg-info

docker:
	# build
	docker build -f Dockerfile -t $(repo):$(version) .
	# add alternate tags
	docker tag $(repo):$(version) $(repo):latest
	# push to Docker Hub
	docker login -u jdidion && \
	docker push $(repo)

release:
	$(clean)
	# tag
	git tag $(version)
	# build
	$(BUILD)
	$(TEST)
	python setup.py sdist bdist_wheel
	# release
	python setup.py sdist upload
	git push origin --tags
	$(github_release)
	$(docker)

github_release:
	curl -v -i -X POST \
		-H "Content-Type:application/json" \
		-H "Authorization: token $(token)" \
		https://api.github.com/repos/$(repo)/releases \
		-d '{"tag_name":"$(version)","target_commitish": "master","name": "$(version)","body": "$(desc)","draft": false,"prerelease": false}'

# build a package with the files needed to run the workflows
workflow:
	mkdir -p dist
	tar -C paper -czf dist/atropos-paper-workflow.tgz \
		workflow/simulated.nf \
		workflow/rnaseq.nf \
		workflow/wgbs.nf \
		workflow/nextflow.config \
		workflow/run-workflows.sh \
		workflow/bin \
		containers/data/simulated/art_profiles.txt \
		containers/tools/tool-names.txt

=== debian/changelog ===
atropos (1.1.21+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #926944)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Aug 2019 21:50:09 +0200

=== debian/control ===
Source: atropos
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               cython3,
               python3-dev,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-pysam <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/atropos
Vcs-Git: https://salsa.debian.org/med-team/atropos.git
Homepage: https://github.com/jdidion/atropos

Package: atropos
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         python3-pysam
Recommends: python3-jinja2
Description: NGS read trimming tool that is specific, sensitive, and speedy
 Atropos is tool for specific, sensitive, and speedy trimming of NGS
 reads. It is a fork of the venerable Cutadapt read trimmer, with the
 primary improvements being:
 .
   1. Multi-threading support, including an extremely fast "parallel
      write" mode.
   2. Implementation of a new insert alignment-based trimming algorithm
      for paired-end reads that is substantially more sensitive and
      specific than the original Cutadapt adapter alignment-based
      algorithm. This algorithm can also correct mismatches between the
      overlapping portions of the reads.
   3. Options for trimming specific types of data (miRNA, bisulfite-seq).
   4. A new command ('detect') that will detect adapter sequences and
      other potential contaminants.
   5. A new command ('error') that will estimate the sequencing error
      rate, which helps to select the appropriate adapter- and quality-
      trimming parameter values.
   6. A new command ('qc') that generates read statistics similar to
      FastQC. The trim command can also compute read statistics both
      before and after trimming (using the '--stats' option).
   7. Improved summary reports, including support for serialization
      formats (JSON, YAML, pickle), support for user-defined templates
      (via the optional Jinja2 dependency), and integration with MultiQC.
   8. The ability to merge overlapping reads (this is experimental and
      the functionality is limited).
   9. The ability to write the summary report and log messages to
      separate files.
  10. The ability to read SAM/BAM files and read/write interleaved
      FASTQ files.
  11. Direct trimming of reads from an SRA accession.
  12. A progress bar, and other minor usability enhancements.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 \
	dh_auto_test -- --before-test="ln -s $(CURDIR)/tests/cut {build_dir}/tests && ln -s $(CURDIR)/tests/data {build_dir}/tests"
endif

override_dh_install:
	dh_install
	find debian -type d -name __pycache__ | xargs rm -rf
	find debian -type d -name tests       | xargs rm -rf
	find debian -type f -name .adapters -delete

## atropos 1.1.24%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,27 @@
 tests = tests
 module = atropos
-#pytestops = "--full-trace"
-#pytestops = "-v -s"
+#pytestops = --full-trace
+#pytestops = -v -s
 repo = jdidion/$(module)
 desc = Release $(version)
 
-BUILD = python setup.py build_ext -i && python setup.py install $(installargs)
-TEST = py.test $(pytestops) $(tests)
+BUILD =
+TEST =
 
-all:
-	$(BUILD)
-	$(TEST)
+all: clean install test
 
-install:
-	$(BUILD)
+build:
+	python setup.py build_ext -i
+	python setup.py sdist bdist_wheel
+
+install: clean build
+	python setup.py install $(installargs)
 
 test:
-	$(TEST)
+	py.test $(pytestops) $(tests)
 
 docs:
-	make -C docs api
-	make -C docs html
+	make -C doc html
 
 readme:
 	pandoc --from=markdown --to=rst --output=README.rst README.md
@@ -49,21 +50,14 @@
 	docker login -u jdidion && \
 	docker push $(repo)
 
-release:
-	$(clean)
-	# tag
+tag:
 	git tag $(version)
-	# build
-	$(BUILD)
-	$(TEST)
-	python setup.py sdist bdist_wheel
-	# release
-	python setup.py sdist upload
+
+release: clean tag install test
+	twine upload dist/*
 	git push origin --tags
-	$(github_release)
-	$(docker)
 
-github_release:
+	# github release
 	curl -v -i -X POST \
 		-H "Content-Type:application/json" \
 		-H "Authorization: token $(token)" \

## atropos 1.1.24+dfsg

=== debian/changelog ===
atropos (1.1.24+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:09 +0000

atropos (1.1.24+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Sat, 30 Nov 2019 13:00:31 +0100

atropos (1.1.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12

 -- Steffen Moeller <moeller@debian.org>  Thu, 21 Nov 2019 16:24:36 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/jdidion/atropos/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## atropos 1.1.29%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: atropos
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
                python3-dev,
@@ -11,7 +12,7 @@
                python3-pytest <!nocheck>,
                python3-jinja2 <!nocheck>,
                python3-pysam <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/atropos
 Vcs-Git: https://salsa.debian.org/med-team/atropos.git
 Homepage: https://github.com/jdidion/atropos

## atropos 1.1.29+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/atropos.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/atropos.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/atropos"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/atropos"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
atropos (1.1.29+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 09 Dec 2020 22:29:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: atropos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,9 @@
 	find debian -type d -name __pycache__ | xargs rm -rf
 	find debian -type d -name tests       | xargs rm -rf
 	find debian -type f -name .adapters -delete
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf  .pytest_cache
+	rm -rf atropos.egg-info
+	rm -f atropos/align/_align.c atropos/commands/trim/_qualtrim.c atropos/io/_seqio.c

=== debian/watch ===
version=4

# To only be presented with version 1.x
#opts="repacksuffix=+dfsg,uversionmangle=s/-alpha\./~a/,dversionmangle=auto,repack,compression=xz" \
#  https://github.com/jdidion/atropos/releases .*/archive/v?(1[0-9.]*)@ARCHIVE_EXT@

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/jdidion/atropos/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## atropos 1.1.31%2Bdfsg

=== debian/changelog ===
atropos (1.1.31+dfsg-3) unstable; urgency=medium

  * Team Upload.
  [ Mohammed Bilal ]
  * Initialize autopkgtest

  [ Nilesh Patra ]
  * d/control: B-D on python3-all-dev instead of python3-dev in
    order to build extensions for all supported versions
  * d/t/control: Update test deps
  * d/t/run-unit-test: Do not test inplace, rather in AUTOPKGTEST_TMP

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Apr 2022 22:53:19 +0530

atropos (1.1.31+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add python3.10.patch.  (Closes: #1008635)
  * Cleanup d/patches/.

 -- Étienne Mollier <emollier@debian.org>  Tue, 29 Mar 2022 23:21:04 +0200

atropos (1.1.31+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Added patch to not use SCM version detection

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Provice sensible name for uscan
  * Enable builds with Python3.9
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Feb 2022 08:02:34 +0100

## atropos 1.1.31+dfsg

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 		-H "Content-Type:application/json" \
 		-H "Authorization: token $(token)" \
 		https://api.github.com/repos/$(repo)/releases \
-		-d '{"tag_name":"$(version)","target_commitish": "master","name": "$(version)","body": "$(desc)","draft": false,"prerelease": false}'
+		-d '{"tag_name":"$(version)","target_commitish": "1.1","name": "$(version)","body": "$(desc)","draft": false,"prerelease": false}'
 
 # build a package with the files needed to run the workflows
 workflow:

=== debian/changelog ===
atropos (1.1.31+dfsg-3+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 21 Apr 2022 22:52:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	 \
 	dh_auto_test -- --before-test="ln -s $(CURDIR)/tests/cut {build_dir}/tests && ln -s $(CURDIR)/tests/data {build_dir}/tests"
 endif

## atropos 1.1.32%2Bdfsg

=== debian/changelog ===
atropos (1.1.32+dfsg-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:13:48 +0000

atropos (1.1.32+dfsg-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:39:29 +0000

atropos (1.1.32+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:55 +0100

atropos (1.1.32+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch back to Cython3, it works.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 10:59:45 +0200

atropos (1.1.32+dfsg-1) unstable; urgency=medium

  * New upstream version
  * No runtime dependency from cython
    Closes: #1057982

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 15:09:34 +0100

atropos (1.1.31+dfsg-5) unstable; urgency=medium

  * Team upload
  * Switch to cython3-legacy.
    Closes: g#1056788

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Dec 2023 18:15:49 +0100

atropos (1.1.31+dfsg-4) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/p/python3.12.patch: replace SafeConfigParser with ConfigParser due
    to SafeConfigParser removal in Python 3.12 (Closes: #1055730).

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 27 Nov 2023 08:46:58 +0100

## atropos 1.1.32+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 all: clean install test
 
+# install prerequisites
+init:
+	pip install cython pytest pytest-timeout twine
+
 build:
 	python setup.py build_ext -i
 	python setup.py sdist bdist_wheel
@@ -18,7 +22,7 @@
 	python setup.py install $(installargs)
 
 test:
-	py.test $(pytestops) $(tests)
+	pytest $(pytestops) $(tests)
 
 docs:
 	make -C doc html
@@ -54,15 +58,24 @@
 	git tag $(version)
 
 release: clean tag install test
-	twine upload dist/*
+	echo "Releasing version $(version)"
+	# release
+	twine upload -u "__token__" -p "$(pypi_token)" dist/*.whl dist/*.tar.gz
+	# push new tag after successful build
 	git push origin --tags
-
-	# github release
+	# create release in GitHub
 	curl -v -i -X POST \
 		-H "Content-Type:application/json" \
 		-H "Authorization: token $(token)" \
 		https://api.github.com/repos/$(repo)/releases \
-		-d '{"tag_name":"$(version)","target_commitish": "1.1","name": "$(version)","body": "$(desc)","draft": false,"prerelease": false}'
+		-d '{ \
+		  "tag_name":"$(version)", \
+		  "target_commitish": "master", \
+		  "name": "$(version)", \
+		  "body": "$(desc)", \
+		  "draft": false, \
+		  "prerelease": false \
+		}'
 
 # build a package with the files needed to run the workflows
 workflow:

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	 \
 	dh_auto_test -- --before-test="ln -s $(CURDIR)/tests/cut {build_dir}/tests && ln -s $(CURDIR)/tests/data {build_dir}/tests"
 endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,uversionmangle=s/-alpha\./~a/,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/jdidion/atropos/tags .*/v?(\d[\d.]+)@ARCHIVE_EXT@
